/ Platform API
Platform API
    Chat Platform API v3
    Chat Platform API
    Chat Platform API
    Version 3

    Pin a sending message

    Copy link

    Pins a message in a channel while sending the message to the channel simultaneously.


    HTTP request

    Copy link
    POST https://api-{application_id}.sendbird.com/v3/{channel_type}/{channel_url}/messages
    

    Note: If you are using the in-app channel in Delight AI agent, the endpoint for your API request should start with https://api-{application_id}.svc.delight.ai/v3 instead of https://api-{application_id}.sendbird.com/v3. For more details, refer to our Delight AI agent guide.


    Parameters

    Copy link

    The following table lists the parameters that this action supports.

    Optional
    Parameter nameTypeDescription

    pin_message

    boolean

    Specifies whether to pin the sending message. (Default: false)


    Response

    Copy link

    If successful, this action returns a message resource in the response body.

    In the case of an error, an error object is returned. A detailed list of error codes is available here.